
////////////////////////////////////////////////////////////////////////

*Datensatz 1: Bundesland, Jahr & Anerkennungs- bzw. Ablehnungsquote usw.

////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////
*TABELLE: Deskriptive Statistik
///////////////////////////////////////////////////////////////////////

*im Anhang
summarize Anerkennungsquote_ges Ablehnungsquote_ges Bevoelkerungszahl BIPKopf Wirtschaftswachstum Arbeitslosenquote Auslaenderanteil Eingeg_Antraege SchuldenKopf Ausgaben_AsylKopf Regierung_SPD Regierung_CDUCSU Wahljahr_dummy RechteStimmen logFremden

///////////////////////////////////////////////////////////////////////
*TABELLE: Variationskoeffizienten
///////////////////////////////////////////////////////////////////////

collapse (mean) meanAnerkennungsquote=Anerkennungsquote_ges (sd) sdAnerkennungsquote=Anerkennungsquote, by(Jahr)
ge cvAnerkennungsquote=sd/mean
collapse cvAnerkennungsquote, by(Jahr)
list

collapse (mean) meanAblehnungsquote=Ablehnungsquote_ges (sd) sdAblehnungsquote=Ablehnungsquote_ges, by(Jahr)
ge cvAblehnungsquote=sd/mean
collapse cvAblehnungsquote, by(Jahr)
list

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
*TABELLE: *Zahl der Asylantrge, Anerkennungs- und Ablehnungsquote sowie Anerkennungsquote fr wichtige Herkunftsstaaten
*nach Bundeslndern von 2010 bis 2015
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

* 1. Durchschnittliche Anerkennungsquote
by Bundesland1: sum Anerkennungsquote 
by Bundesland1: sum Ablehnungsquote_ges

* 2. Regressionstabelle 

ssc install estout
regress Anerkennungsquote_ges ib11.Bundesland1 i.Jahr, robust
estimates store m1, title (Modell_AK)
regress Ablehnungsquote_ges ib3.Bundesland1 i.Jahr, robust
estimates store m2, title (Modell_AL)
estout m1 m2
estout m1 m2, cells (b(star fmt(3)) se(par fmt(2)) t(par fmt(3)))

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
*TABELLE: Bestimmungsgrnde der Anerkennungsquote von Asylgesuchen in den deutschen Bundeslndern, 2010-2015
*nach Prais-Winstein & geclustert
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
ssc install estout

* Prais mit Anerkennungsquote
tsset Bundesland1 Jahr
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, cluster (Bundesland1)
estimates store m1, title (Modell 1)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, cluster(Bundesland1)
estimates store m2, title (Modell 2)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m3, title (Modell 3)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m5, title (Modell 5)
estout m1 m2 m3 m5
estout m1 m2 m3 m5, cells(b(star fmt(3)) se(par fmt(2)))

///////////////////////////////////////////////
*ROBUSTHEITSCHECK
///////////////////////////////////////////////

* Prais mit d.Anerkennungsquote
tsset Bundesland1 Jahr
prais d.Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, cluster(Bundesland1)
estimates store m1, title (Modell 1)
prais d.Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, cluster(Bundesland1)
estimates store m2, title (Modell 2)
prais d.Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m3, title (Modell 3)
prais d.Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m5, title (Modell 4)
estout m1 m2 m3 m4
estout m1 m2 m3 m4, cells(b(star fmt(3)) se(par fmt(2)))

* xtpcse 
tsset Bundesland1 Jahr
xtpcse Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, hetonly
estimates store m1, title (Modell 1)
xtpcse Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, hetonly
estimates store m2, title (Modell 2)
xtpcse Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, hetonly
estimates store m3, title (Modell 3)
xtpcse Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, hetonly
estimates store m4, title (Modell 4)
estout m1 m2 m3 m4
estout m1 m2 m3 m4, cells(b(star fmt(3)) se(par fmt(2)))

* Prais mit Ablehnungsquote
tsset Bundesland1 Jahr
prais Ablehnungsquote_ges i.Jahr l.Ablehnungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, cluster(Bundesland1)
estimates store m1, title (Modell 1)
prais Ablehnungsquote_ges i.Jahr l.Ablehnungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, cluster(Bundesland1)
estimates store m2, title (Modell 2)
prais Ablehnungsquote_ges i.Jahr l.Ablehnungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m3, title (Modell 3)
prais Ablehnungsquote_ges i.Jahr l.Ablehnungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_SPD l.Regierung_CDUCSU Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m4, title (Modell 4)
estout m1 m2 m3 m4
estout m1 m2 m3 m4, cells(b(star fmt(3)) se(par fmt(2)))


////////////////////////////////////////
*TESTS
////////////////////////////////////////

* Test zur Stationaritt
xtunitroot hat Anerkennungsquote_ges
recode d diffAnerkennungsquote_ges (.=0)
xtunitroot ht diffAnerkennungsquote_ges

*Wooldridge Tests zur Aufdeckung serieller Korrelation 
tsset Bundesland1 Jahr
xtserial Anerkennungsquote_ges Jahr BIPKopf Bevoelkerungszahl Wirtschaftswachstum Arbeitslosenquote Auslaenderanteil
xtserial Anerkennungsquote_ges Jahr Eingeg_Antraege SchuldenKopf Ausgaben_AsylKopf
xtserial Anerkennungsquote_ges Jahr Eingeg_Antraege Regierung_SPD Regierung_CDUCSU Wahljahr_dummy RechteStimmen logFremden_Uebergriffe
xtserial Anerkennungsquote_ges Jahr Eingeg_Antraege BIPKopf Bevoelkerungszahl Wirtschaftswachstum Arbeitslosenquote Auslaenderanteil Ausgaben_AsylKopf SchuldenKopf Regierung_SPD Regierung_CDUCSU Wahljahr_dummy RechteStimmen logFremden_Uebergriffe

* Test: fixed effects
xtset Bundesland1 Jahr 
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, fe
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, fe

* Hausmann-Test:
* Gesamtmodell 
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, fe
estimate store fe
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, re
estimate store re
hausman fe re
* S.-.-Modell 
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, fe
estimate store fe
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, re
estimate store re
hausman fe re
* Brokratiemodell
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege Ausgaben_AsylKopf l.SchuldenKopf, fe
estimate store fe
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege Ausgaben_AsylKopf l.SchuldenKopf, re
estimate store re
hausman fe re
* Politikmodell
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, fe
estimate store fe
xtreg Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege  l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, re
estimate store re
hausman fe re

