
////////////////////////////////////////////////////////////////////////
*Datensatz 2: Bundesland-Herkunft-Dyade 

////////////////////////////////////////////////////////////////////////
* !vor allen Berechnungen!
* 1. Kleine Flle sowie keine Zuordnung droppen
* d.h. folgende Berechnungen gelten nur fr bekannte Herkunftsstaaten und Antrge >= 40

drop if Antraege_insg < 30

drop if Herkunft == "sonst. afrik. Staatsangeh."
drop if Herkunft == "sonst. amerik. Staatsangeh."
drop if Herkunft == "sonst. asiat. Staatsangeh."
drop if Herkunft == "sonst. asiatische Staatsangeh."
drop if Herkunft == "sonst. europ. Staatsangeh."
drop if Herkunft == "Staatsangehrigkeit ohne Bezeichnung"
drop if Herkunft == "Ungeklrt"
drop if Herkunft == "Staatenlos" 
drop if Antraege_insg == .
drop if Herkunft == "Unbekannt"
drop if Herkunft == "sonst. europische Staatsangeh."

///////////////////////////////////////////////////////////////////
*TABELLE *Zahl der Asylantrge, Anerkennungs- und Ablehnungsquote sowie Anerkennungsquote fr wichtige Herkunftsstaaten
*nach Bundeslndern von 2010 bis 2015 
//////////////////////////////////////////////////////////////////
by Bundesland1: sum Anerkennungsquote if Herkunft1 == 133
by Bundesland1: sum Anerkennungsquote if Herkunft1 == 47
by Bundesland1: sum Anerkennungsquote if Herkunft1 == 1
 
by Bundesland1: sum Ablehnungsquote_ges if Herkunft1 == 133
by Bundesland1: sum Ablehnungsquote_ges if Herkunft1 == 47
by Bundesland1: sum Ablehnungsquote_ges if Herkunft1 == 1

mean Anerkennungsquote if Herkunft1 == 133
mean Anerkennungsquote if Herkunft1 == 47
mean Anerkennungsquote if Herkunft1 == 1

/////////////////////////////////////////////////////////////////////////////////
* Signifikanz nach Herkunft ber lineare Regression mit robusten Standardfehlern
ssc install estout
regress Anerkennungsquote_ges ib7.Bundesland1 i.Jahr if Herkunft1==1, robust
estimates store m1, title ("Afghanistan")
regress Anerkennungsquote_ges ib5.Bundesland1 i.Jahr if Herkunft1==47, robust
estimates store m2, title ("Irak")
regress Anerkennungsquote_ges ib12.Bundesland1 i.Jahr if Herkunft1==133, robust
estimates store m3, title ("Syrien")
estout m1 m2 m3
estout m3 m2 m1, cells (b(star fmt(3)) se(par fmt(2)) t(par fmt(3)))

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
*TABELLE: MODELL 5 & 6 - Bestimmungsgrnde der Anerkennungsquote von Asylgesuchen in den deutschen Bundeslndern, 2010-2015
*nach Prais-Winstein & geclustert
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

* Prais-Winsten mit Anerkennungsquote
ssc install estout
tsset BL_Herkunft1 Jahr
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe BIP_Herkunft Konflikt Freedom_ges Religion_Isl, cluster(Bundesland1)
estimates store m5, title (Modell 5)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe i.Herkunft1, cluster(Bundesland1)
estimates store m6, title (Modell 6)
estout m5 m6
estout m5 m6, cells(b(star fmt(3)) se(par fmt(2)))

///////////////////////////////////////////////////
*ROBUSTHEITSCHECKS
//////////////////////////////////////////////////

* Prais-Winsten mit d.Anerkennungsquote
ssc install estout
tsset BL_Herkunft1 Jahr
prais d.Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe BIP_Herkunft Konflikt Freedom_ges Religion_Isl, cluster(Bundesland1)
estimates store m5, title (Modell 5)
prais d.Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe i.Herkunft1, cluster(Bundesland1)
estimates store m6, title (Modell 6)
estout m5 m6
estout m5 m6, cells(b(star fmt(3)) se(par fmt(2)))

* xtpcse mit Anerkennungsquote
ssc install estout
tsset BL_Herkunft1 Jahr
xtpcse Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe BIP_Herkunft Konflikt Freedom_ges Religion_Isl, hetonly
estimates store m5, title (Modell 5)
xtpcse Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe i.Herkunft1, hetonly
estimates store m6, title (Modell 6)
estout m5 m6
estout m5 m6, cells(b(star fmt(3)) se(par fmt(2)))

* Prais-Winsten mit Ablehnungsquote
ssc install estout
tsset BL_Herkunft1 Jahr
prais Ablehnungsquote_insg i.Jahr l.Ablehnungsquote_insg l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe BIP_Herkunft Konflikt Freedom_ges Religion_Isl, cluster(Bundesland1)
estimates store m5, title (Modell 5)
prais Ablehnungsquote_insg i.Jahr l.Ablehnungsquote_insg l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe i.Herkunft1, cluster(Bundesland1)
estimates store m6, title (Modell 6)
estout m5 m6
estout m5 m6, cells(b(star fmt(3)) se(par fmt(2)))

*Hausmann Test
tsset BL_Herkunft1 Jahr
xtreg Anerkennungsquote_ges i.Jahr l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe BIP_Herkunft Konflikt Freedom_ges Religion_Isl, fe
estimates store fe
xtreg Anerkennungsquote_ges i.Jahr l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe BIP_Herkunft Konflikt Freedom_ges Religion_Isl, re
estimates store re
hausman fe re

tsset BL_Herkunft1 Jahr
xtreg Anerkennungsquote_ges i.Jahr l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe i.Herkunft1, fe
estimates store fe
xtreg Anerkennungsquote_ges i.Jahr l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil l.SchuldenKopf Ausgaben_AsylKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe i.Herkunft1, re
estimates store re
hausman fe re

//////////////////////////////////////////
*Berechnungen fr einzelne Herkunftslnder
//////////////////////////////////////////
*Afghanistan
keep if Herkunft1==1
tsset Bundesland1 Jahr
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, cluster (Bundesland1)
estimates store m1, title (Modell 1)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, cluster(Bundesland1)
estimates store m2, title (Modell 2)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m3, title (Modell 3)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m5, title (Modell 5)
estout m1 m2 m3 m5
estout m1 m2 m3 m5, cells(b(star fmt(3)) se(par fmt(2)))
*Syrien
keep if Herkunft1==133
tsset Bundesland1 Jahr
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, cluster (Bundesland1)
estimates store m1, title (Modell 1)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, cluster(Bundesland1)
estimates store m2, title (Modell 2)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m3, title (Modell 3)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m5, title (Modell 5)
estout m1 m2 m3 m5
estout m1 m2 m3 m5, cells(b(star fmt(3)) se(par fmt(2)))
*Iran
keep if Herkunft1==48
tsset Bundesland1 Jahr
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil, cluster (Bundesland1)
estimates store m1, title (Modell 1)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.SchuldenKopf Ausgaben_AsylKopf, cluster(Bundesland1)
estimates store m2, title (Modell 2)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m3, title (Modell 3)
prais Anerkennungsquote_ges i.Jahr l.Anerkennungsquote_ges l.Eingeg_Antraege l.BIPKopf l.Bevoelkerungszahl l.Wirtschaftswachstum l.Arbeitslosenquote l.Auslaenderanteil Ausgaben_AsylKopf l.SchuldenKopf l.Regierung_CDUCSU l.Regierung_SPD Wahljahr_dummy l.RechteStimmen l.logFremden_Uebergriffe, cluster(Bundesland1)
estimates store m5, title (Modell 5)
estout m1 m2 m3 m5
estout m1 m2 m3 m5, cells(b(star fmt(3)) se(par fmt(2)))

	